%define name tvbrowser
%define version 3.4
%define release %mkrel 3

Summary: TV-Browser is a java-based TV guide.
Summary(de): TV-Browser ist eine Java basierende TV Zeitung.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Video
URL: http://www.tvbrowser.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0: %{name}-%{version}.tar.xz
Requires: java >= 1.7.0
BuildArch: noarch
Obsoletes: %{name} < %{version}


%description
TV-Browser is a java-based TV guide which is easily extensible using plugins.
It is designed to look like a paper based TV guide.

%description -l de
TV-Browser ist ein auf Java basierender Programmführer, welcher einfach mit 
Erweiterungen ausgebaut werden kann. Er wurde einer Programmzeitschrift nachempfunden. 

%prep

%setup -q -n %{name}-%{version}


%install
export DONT_STRIP=1
rm -rf %{buildroot}

#data
%{__install} -dm 755 %{buildroot}%{_libdir}/tvbrowser
cp -af * %{buildroot}%{_libdir}/tvbrowser


# launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
#LD_PRELOAD=libglib-2.0.so ./tvbrowser.sh
./tvbrowser.sh
cd /
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}


#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=TV Browser
Comment=A java-based TV guide
Comment[de]=Eine Java basierende TV Zeitung
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Player;X-MandrivaLinux-Multimedia-Video;
EOF

#icons
%{__install} -dm 755 %{buildroot}%{_datadir}/pixmaps
%{__install} -m 644 imgs/tvbrowser48.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
mkdir -p %buildroot/{%_miconsdir,%_iconsdir}
convert  imgs/tvbrowser48.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert imgs/tvbrowser48.png -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png

# remove 
rm -f %{buildroot}/%{_libdir}/%{name}/*.txt
rm -f %{buildroot}/%{_libdir}/%{name}/*.desktop

%clean
rm -rf %{buildroot}


%files
%doc *.txt
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/mini/%{name}.png
%{_datadir}/icons/%{name}.png

%changelog
* Sat Nov 07 2015 bb <bb> 3.4-3pclos2015
- remove LD_PRELOAD=libglib-2.0.so for fixed glib-2.46.2

* Fri Oct 08 2015 bb <bb> 3.4-2pclos2015
- add LD_PRELOAD=libglib-2.0.so for broken glib-2.46.0

* Tue Jul 22 2014 ghostbunny <ghostbunny at gmx dot de> 3.4-1pclos2015
- update

* Fri Nov 22 2013 pinoc <vogtpet at gmail.com> 3.3.3-1pclos2013
- 3.3.3

* Tue Apr 23 2013 Texstar <texstar at gmail.com> 3.3-2pclos2013
- fix menu link for both 32/64 bit!

* Wed Apr 03 2013 Ken <lxgator at gmail.com> 3.3-1pclos2013
- 3.3

* Mon May 09 2011 maik3531 <maik3531 at yahoo.de> 3.0.1-1pclos2010
- 3.0.1

* Tue Mar 01 2011 maik3531 <maik3531 at yahoo.de> 3.0.RC3-1pclos2010
- 3.0 RC3

* Wed Nov 17 2010 maik3531 <maik3531 at yahoo.de> 3.0.RC2-1pclos2010
- 3.0 RC2

* Fri Sep 03 2010 maik3531 <maik3531 at yahoo.de> 3.0.RC1-1pclos2010
- 3.0 RC1

* Sun Mar 28 2010 maik3531 <maik3531 at yahoo dot de> 3.0.beta2-1pclos2010
- 3.0 beta2

* Sun Jan 10 2010 maik3531 <maik3531 at yahoo dot de> 2.7.5-1pclos2010
- 2.7.5

* Sat Nov 07 2009 slick50 <lxgator@gmail.com> 2.7.4-1pclos2010
- 2.7.4

* Sun Mar 15 2009 maik3531 <maik3531 at yahoo dot de> 2.7.3-1pclos2007
- 2.7.3

* Sun Dec 21 2008 maik3531 <maik3531 at yahoo dot de> 2.7.2-1pclos2007
- 2.7.2

* Mon Oct 13 2008 maik3531 <maik3531 at yahoo dot de> 2.7.1-1pclos2007
- 2.7.1

* Fri Jun 20 2008 maik3531 <maik3531 at yahoo dot de> 2.7-1pclos2007
- 2.7

* Tue Jan 15 2008 maik3531 <maik3531 at yahoo dot de> 2.6.3-1pclos2007
- 2.6.3

* Mon Dec 31 2007 maik3531 <maik3531 at yahoo dot de> 2.6.2-1pclos2007
- 2.6.2

* Thu Nov 01 2007 maik3531 <maik3531 at yahoo dot de> 2.6-1pclos2007
- 2.6

* Tue Jul 24 2007 maik3531 <maik3531 at yahoo dot de> 2.5.3-1pclos2007
- 2.5.3

* Tue Apr 17 2007 maik3531 <maik3531 at yahoo dot de> 2.5.2-1pclos2007
- build for PCLinuxOS 2007

* Thu Aug 08 2006 Mario Mueller <asaf@gmx.net> 2.2.1-1
- new Version

* Sat Jun 03 2006 Mario Mueller <asaf@gmx.net> 2.2-1
- build for PCLinuxOS
